# smesh.Mesh_Triangle Class Reference

Class to define a triangle 2D algorithm. More...
Inheritance diagram for smesh.Mesh_Triangle:

## Public Member Functions
def | __init__
| Private constructor.
def | MaxElementArea
| Define "MaxElementArea" hypothesis to give the maximun area of each triangles.
def | LengthFromEdges
| Define "LengthFromEdges" hypothesis to build triangles based on the length of the edges taken from the wire.
def | Parameters
| Define "Netgen 2D Parameters" hypothesis.
def | SetMaxSize
| Set MaxSize.
def | SetSecondOrder
| Set SecondOrder flag.
def | SetOptimize
| Set Optimize flag.
def | SetFineness
| Set Fineness.
def | SetGrowthRate
| Set GrowthRate.
def | SetNbSegPerEdge
| Set NbSegPerEdge.
def | SetNbSegPerRadius
| Set NbSegPerRadius.
def | SetQuadAllowed
| Set QuadAllowed flag.
def | GetSubMesh
| If the algorithm is global, return 0; else return the submesh associated to this algorithm.
def | GetAlgorithm
| Return the wrapped mesher.
def | GetCompatibleHypothesis
| Get list of hypothesis that can be used with this algorithm.
def | GetName
| Get name of algo.
def | SetName
| Set name to algo.
def | GetId
| Get id of algo.
def | TreatHypoStatus
| Private method.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| algoType
| params
| mesh
| geom
| subm
| algo
## Static Public Attributes
int | algoType = 0
int | params = 0
int | mesh = 0
int | geom = 0
int | subm = 0
int | algo = 0

## Detailed Description

More details.

## Member Function Documentation

def smesh.Mesh_Triangle.__init__ | ( |  | self,
|  |  | mesh,
|  |  | algoType,
|  |  | geom = `0`
| ) |

def smesh.Mesh_Triangle.MaxElementArea | ( |  | self,
|  |  | area
| ) |

  | Parameters:
  | area | for the maximum area of each triangles

def smesh.Mesh_Triangle.LengthFromEdges | ( |  | self | ) |

def smesh.Mesh_Triangle.Parameters | ( |  | self | ) |

def smesh.Mesh_Triangle.SetMaxSize | ( |  | self,
|  |  | theSize
| ) |

def smesh.Mesh_Triangle.SetSecondOrder | ( |  | seld,
|  |  | theVal
| ) |

def smesh.Mesh_Triangle.SetOptimize | ( |  | self,
|  |  | theVal
| ) |

def smesh.Mesh_Triangle.SetFineness | ( |  | self,
|  |  | theFineness
| ) |

  | Parameters:
  | theFineness | is: VeryCoarse, Coarse, Moderate, Fine, VeryFine or Custom

def smesh.Mesh_Triangle.SetGrowthRate | ( |  | self,
|  |  | theRate
| ) |

def smesh.Mesh_Triangle.SetNbSegPerEdge | ( |  | self,
|  |  | theVal
| ) |

def smesh.Mesh_Triangle.SetNbSegPerRadius | ( |  | self,
|  |  | theVal
| ) |

def smesh.Mesh_Triangle.SetQuadAllowed | ( |  | self,
|  |  | toAllow
| ) |

def smesh.Mesh_Algorithm.GetSubMesh | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.GetCompatibleHypothesis | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.GetName | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.SetName | ( |  | self,
|  |  | name
| ) | `[inherited]`

def smesh.Mesh_Algorithm.GetId | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.TreatHypoStatus | ( |  | self,
|  |  | status,
|  |  | hypName,
|  |  | geomName,
|  |  | isAlgo
| ) | `[inherited]`

| Print error message if a hypothesis was not assigned.

def smesh.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"`
| ) | `[inherited]`

def smesh.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"`
| ) | `[inherited]`

## Field Documentation

int smesh.Mesh_Triangle.algoType = 0`[static]`

int smesh.Mesh_Triangle.params = 0`[static]`

smesh.Mesh_Triangle.algoType

smesh.Mesh_Triangle.params

int smesh.Mesh_Algorithm.mesh = 0`[static, inherited]`

smesh.Mesh_Algorithm.mesh`[inherited]`

int smesh.Mesh_Algorithm.geom = 0`[static, inherited]`

smesh.Mesh_Algorithm.geom`[inherited]`

int smesh.Mesh_Algorithm.subm = 0`[static, inherited]`

smesh.Mesh_Algorithm.subm`[inherited]`

int smesh.Mesh_Algorithm.algo = 0`[static, inherited]`

smesh.Mesh_Algorithm.algo`[inherited]`